Bug 25414 - should update rmic
Summary: should update rmic
Status: RESOLVED FIXED
Alias: None
Product: gcc
Classification: Unclassified
Component: libgcj (show other bugs)
Version: 4.1.0
: P3 normal
Target Milestone: 4.3.0
Assignee: Tom Tromey
URL:
Keywords:
Depends on: 28067
Blocks: 26851
  Show dependency treegraph
 
Reported: 2005-12-14 16:28 UTC by Tom Tromey
Modified: 2007-01-09 20:48 UTC (History)
3 users (show)

See Also:
Host:
Target:
Build:
Known to work:
Known to fail:
Last reconfirmed: 2006-12-12 20:21:17


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Tom Tromey 2005-12-14 16:28:21 UTC
Upstream RMIC uses the ASM library and is generally better.
We should import ASM and the cp-tools RMIC into libgcj,
and remove our outdated version
Comment 1 Andrew Pinski 2005-12-15 04:32:08 UTC
Confirmed (must is usually too harse of a word).
Comment 2 Robin Green 2006-02-27 16:59:16 UTC
Another reason to update rmic is that the current rmic ignores its -classpath argument.
Comment 3 Andrew Haley 2006-04-04 15:08:57 UTC
Subject: Bug 25414

Author: aph
Date: Tue Apr  4 15:08:51 2006
New Revision: 112667

URL: http://gcc.gnu.org/viewcvs?root=gcc&view=rev&rev=112667
Log:
2006-04-03  Archit Shah  <ashah@redhat.com>

        PR java/25414
        * gnu/java/rmi/rmic/CompilerProcess.java (computeTypicalArguments):
        Add classpath argument.
        * gnu/java/rmi/rmic/Compile_gcj.java (computeArguments): Adjust
        caller.
        * gnu/java/rmi/rmic/Compile_jikes.java (computeArguments): Likewise.
        * gnu/java/rmi/rmic/Compile_kjc.java (computeArguments): Likewise.
        * gnu/java/rmi/rmic/Compiler.java (getClasspath, setClasspath): New.
        * gnu/java/rmi/rmic/RMIC.java: Set classpath for compiler, call
        mkdirs for destination directory, correct handling of superclasses
        and interfaces of the remote class, correct handling of exceptions
        declared by remote methods.


Modified:
    branches/gcc-4_1-branch/libjava/ChangeLog
    branches/gcc-4_1-branch/libjava/gnu/java/rmi/rmic/Compile_gcj.java
    branches/gcc-4_1-branch/libjava/gnu/java/rmi/rmic/Compile_jikes.java
    branches/gcc-4_1-branch/libjava/gnu/java/rmi/rmic/Compile_kjc.java
    branches/gcc-4_1-branch/libjava/gnu/java/rmi/rmic/Compiler.java
    branches/gcc-4_1-branch/libjava/gnu/java/rmi/rmic/CompilerProcess.java
    branches/gcc-4_1-branch/libjava/gnu/java/rmi/rmic/RMIC.java

Comment 4 Andrew Haley 2006-04-05 09:53:13 UTC
Subject: Bug 25414

Author: aph
Date: Wed Apr  5 09:53:08 2006
New Revision: 112699

URL: http://gcc.gnu.org/viewcvs?root=gcc&view=rev&rev=112699
Log:
2006-04-05  Archit Shah  <ashah@redhat.com>

        PR java/25414
        * gnu/java/rmi/rmic/CompilerProcess.java (computeTypicalArguments):
        Add classpath argument.
        * gnu/java/rmi/rmic/Compile_gcj.java (computeArguments): Adjust
        caller.
        * gnu/java/rmi/rmic/Compile_jikes.java (computeArguments): Likewise.
        * gnu/java/rmi/rmic/Compile_kjc.java (computeArguments): Likewise.
        * gnu/java/rmi/rmic/Compiler.java (getClasspath, setClasspath): New.
        * gnu/java/rmi/rmic/RMIC.java: Set classpath for compiler, call
        mkdirs for destination directory, correct handling of superclasses
        and interfaces of the remote class, correct handling of exceptions
        declared by remote methods.


Modified:
    trunk/libjava/ChangeLog
    trunk/libjava/gnu/java/rmi/rmic/Compile_gcj.java
    trunk/libjava/gnu/java/rmi/rmic/Compile_jikes.java
    trunk/libjava/gnu/java/rmi/rmic/Compile_kjc.java
    trunk/libjava/gnu/java/rmi/rmic/Compiler.java
    trunk/libjava/gnu/java/rmi/rmic/CompilerProcess.java
    trunk/libjava/gnu/java/rmi/rmic/RMIC.java

Comment 5 Andrew Haley 2006-04-20 09:39:27 UTC
Subject: Bug 25414

Author: aph
Date: Thu Apr 20 09:39:22 2006
New Revision: 113113

URL: http://gcc.gnu.org/viewcvs?root=gcc&view=rev&rev=113113
Log:
2006-04-05  Archit Shah  <ashah@redhat.com>

        PR java/25414
        * gnu/java/rmi/rmic/CompilerProcess.java (computeTypicalArguments):
        Add classpath argument.
        * gnu/java/rmi/rmic/Compile_gcj.java (computeArguments): Adjust
        caller.
        * gnu/java/rmi/rmic/Compile_jikes.java (computeArguments): Likewise.
        * gnu/java/rmi/rmic/Compile_kjc.java (computeArguments): Likewise.
        * gnu/java/rmi/rmic/Compiler.java (getClasspath, setClasspath): New.
        * gnu/java/rmi/rmic/RMIC.java: Set classpath for compiler, call
        mkdirs for destination directory, correct handling of superclasses
        and interfaces of the remote class, correct handling of exceptions
        declared by remote methods.



Modified:
    branches/gcj/gcj-abi-stabilization-branch/libjava/ChangeLog
    branches/gcj/gcj-abi-stabilization-branch/libjava/gnu/java/rmi/rmic/Compile_gcj.java
    branches/gcj/gcj-abi-stabilization-branch/libjava/gnu/java/rmi/rmic/Compile_jikes.java
    branches/gcj/gcj-abi-stabilization-branch/libjava/gnu/java/rmi/rmic/Compile_kjc.java
    branches/gcj/gcj-abi-stabilization-branch/libjava/gnu/java/rmi/rmic/Compiler.java
    branches/gcj/gcj-abi-stabilization-branch/libjava/gnu/java/rmi/rmic/CompilerProcess.java
    branches/gcj/gcj-abi-stabilization-branch/libjava/gnu/java/rmi/rmic/RMIC.java
    branches/gcj/gcj-abi-stabilization-branch/libjava/java/lang/Class.h
    branches/gcj/gcj-abi-stabilization-branch/libjava/java/lang/Object.h

Comment 6 Tom Tromey 2007-01-09 20:48:18 UTC
All gcj front end bugs have been fixed by the gcj-eclipse branch merge.
I'm mass-closing the affected PRs.
If you believe one of these was closed in error, please reopen it
with a note explaining why.
Thanks.